# Répartition des tâches des week-end chorale

Ce script génère auto-magiquement la liste des tâches pour le week-end.

## Installation

Créer un virtualenv :

```bash
virtualenv -p python3 venv
source venv/bin/activate
pip install -r requirements.txt
```

Pour utiliser le script plus tard,
```bash
source venv/bin/activate
```

## Fichiers de configuration

Le script utilise deux fichiers : `choristes.csv` et `taches.yml`.

### Choristes

Fichier au format CSV (exportable par un tableur) avec deux colonnes, appelées
nécessairement `Nom` et `Prénom` (attention aux majuscules et accents). Il
contient l'ensemble des choristes, sauf les exemptés de tâches (incluant le
CA). Il y a un fichier d'exemple.

### Tâches

Ce fichier est pré-rempli avec les tâches habituelles. Il est au format
[yaml](https://en.wikipedia.org/wiki/YAML).

Chaque tâche est soit une catégorie de tâches, soit une tâche.

Une catégorie contient les champs :
* `cat` : son nom, titre de la partie dans le fichier,
* `taches` : liste des tâches (ou sous-catégories) de cette catégorie.
* `heure` (optionnel)
* `intro` (optionnel) : paragraphe en haut d'une catégorie.

Une tâche contient les champs :
* `nom` : un nom court
* `descr` : la description de la tâche, qui sera écrite sur la fiche finale
* `heure` (optionnel)
* `notes` (optionnel) : des détails, à afficher en plus petit sous la tâche
* `nb_groupes` (optionnel) : le nombre de groupes à assigner à la tâche (1 par
  défaut).


## Utilisation

Le script s'utilise en l'appelant (après avoir chargé le venv, voir plus haut)
en lui passant les deux fichiers ci-dessus :

```bash
$ repartir_taches.py taches.yml choristes.csv
```

### Compiler le LaTeX en PDF

Le fichier produit est utilisable avec XeTeX ou LuaLaTeX, le second est à
préférer.
